petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMCreate

Creates an empty DM object. The type can then be set with DMSetType().

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMCreate(MPI_Comm comm,DM *dm)

If you never call DMSetType() it will generate an Many brerror when you try to use the vector. Many br

Collective on MPI_Comm Many br

### Input Parameter

comm -The communicator for the DM object Many br

### Output Parameter

dm -The DM object Many br

Many br

### See Also

DMSetType(), DMDA, DMSLICED, DMCOMPOSITE, DMPLEX, DMMOAB, DMNETWORK

Level:beginner
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/impls/forest/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex11.c.html